Page MenuHomePhabricator

Special characters booklet not accessible
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  • navigate to edit source
  • navigate till special character control and hit enter
  • check if special characters pane is accessible:
  • 1. using keyboard
  • 2. using a screen reader

Actual Results:

  • special characters pane is not accessible using keyboard
  • screen reader is not announcing ordering of list items present in special characters pane

Expected Results:

  • the special characters booklet should be accessible

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2020, 6:40 PM
Dinoguy1000 renamed this task from Scpecial characters boooklet not accessible to Special characters booklet not accessible.May 23 2020, 4:29 AM

Change 598107 had a related patch set uploaded (by TheDJ; owner: Bkudiess-msft):
[mediawiki/extensions/WikiEditor@master] Makes special characters booklet accessible

https://gerrit.wikimedia.org/r/598107

Change 598107 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Makes special characters booklet accessible

https://gerrit.wikimedia.org/r/598107

Volker_E closed this task as Resolved.Jul 13 2020, 8:48 PM
Volker_E triaged this task as Medium priority.
Volker_E removed a project: Patch-For-Review.
Volker_E added a subscriber: Volker_E.
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Thu, Feb 4, 12:19 PM